
Admin - Task #66
restaurar dump de svn
12/13/2011 12:51 PM - Joaquín  del Cerro Murciano

Status: Closed Start date: 12/13/2011
Priority: High Due date:
Assignee: José Badía % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours
Description

para el proyecto gvsig-tools he dejado en gvsig.gva.es en el home del usuariogvsig un dump del svn.
¿ Podias ver si se puede restaurar en el svn del proyecto ?

Gracias

History
#1 - 12/13/2011 05:11 PM - Joaquín  del Cerro Murciano

Ya estan los dump de los svn de los principales proyectos.
Los he dejado en el home del usuario gvsig de gvsig-devel.gva.es

Cuando podais los vais restaurando.
Falta por hacer la peticion de alta del proyecto de OSGvp y gvsig-3d mañana a primera hora dare de alta los tickets.

#2 - 12/13/2011 06:17 PM - José Vicente Higón
- Status changed from New to In progress
- Assignee set to José Badía
- Priority changed from Normal to High

Jose, ves creando los svn y restaurando los dump como vimos. Si además puedes crear los proyectos en Redmine y enlazar

IMPORTANTE: A la hora de crear la conf de Apache del SVN de gvsig-desktop, ten en cuanta que se han creado dos grupos de ldap, uno para
desarrolladores y otro para testers. La utilidad de crear el SVN y que genere la conf para Apache debe emplear el grupo de desarrolladores (de esa
forma sólo los que estén en ese grupo podrán hacer commit)

#3 - 12/13/2011 06:35 PM - José Vicente Higón

He probado a restaurar uno de los dumps (el de 3d) y me ha dado un fallo:

svnadmin load /var/local/svn/gvsig-3d < /home/gvsig/svndumps/gvsig-3d.dump.7z
svnadmin: Cabecera de archivo de volcado malformada

@Joaquín: ¿sabes qué puede ser?
@Jose: de momento no hagas el de gvsig-desktop, el jueves que estaré en CIT lo vemos. Los otros puedes probar si joaquín averigua el problema
del dump. Por cierto, he arreglado el script create-svn-repo.sh para que puedas pasarle el parámetro del fichero dump.
#4 - 12/13/2011 06:48 PM - José Vicente Higón

Olvidar lo que he dicho!!!! El problema es que los dumps estaban comprimidos (no sabía que existía ese formato). 
@Jose: puedes restaurar los dumps y crear los proyectos. Para crear el svn de fortunateco simplemente he hecho lo siguiente:

cd /home/gvsig/svndumps
p7zip -d gvsig-fortuneco.dump.7z
cd /var/local/install/util
sh create-svn-repo.sh gvsig-fortunateco dc=gvsig-devel,dc=gva,dc=es /home/gvsig/svndumps/gvsig-fortuneco.dump

Si restauras el de gvSIG, ten en cuanta que ahora mismo en el phpldap hay que dos grupos distintos. Lo que habrá que hacer es:
    -  restauras el dump mediante el siguiente comando

sh create-svn-repo.sh gvsig-desktop dc=gvsig-devel,dc=gva,dc=es /home/gvsig/svndumps/gvsig-desktop.dump

    -  Editas /etc/apache2/conf.d/svn.con para indicar que el grupo LDAP se llama gvsig-desktop-developer y no gvsig-desktop

#5 - 12/13/2011 10:05 PM - José Vicente Higón

@Jose: no hace falta que cargues gvsig-desktop, he dejado un proceso haciendo la faena

nohup sh create-svn-repo.sh gvsig-desktop dc=gvsig-devel,dc=gva,dc=es /home/gvsig/svndumps/gvsig-desktop.dump >
/var/log/svn-load-gvsig-desktop.log 2>&1 &

Sólo quedará (cuando termine el proceso) revisar el fichero svn.conf para poner el grupo que toca. Si no me da tiempo lo haces tú.

#6 - 12/14/2011 12:02 AM - José Vicente Higón

el proceso de restaurar el dump de gvsig-desktop ha finalizado sin problemas. El svn está accesible en http://gvsig-devel.gva.es/svn/gvsig-desktop
Para hacer commits mejor emplear el https://gvsig-devel.gva.es/svn/gvsig-desktop .
Todos los usuarios del grupo gvsig-desktop-developer deberían tener permisos de commit

@Jose: dile a joaquín que gvSIG está operativo y que prueben a hacer algún commit

#7 - 12/14/2011 11:05 AM - Cesar Ordiñana

José Vicente Higón wrote:

el proceso de restaurar el dump de gvsig-desktop ha finalizado sin problemas. El svn está accesible en http://gvsig-devel.gva.es/svn/gvsig-desktop
Para hacer commits mejor emplear el https://gvsig-devel.gva.es/svn/gvsig-desktop .
Todos los usuarios del grupo gvsig-desktop-developer deberían tener permisos de commit

@Jose: dile a joaquín que gvSIG está operativo y que prueben a hacer algún commit

Acabamos de probar a hacer un commit y nos da el siguiente error:
org.tigris.subversion.javahl.ClientException: Permiso denegado
svn: Falló el commit (detalles a continuación):
svn: Can't move '/var/local/svn/gvsig-desktop/db/txn-protorevs/37518-sy6.rev' to '/var/local/svn/gvsig-desktop/db/revs/37/37519': Permission
denied

#8 - 12/15/2011 09:41 AM - José Vicente Higón

Ok, el problema de commits en el SVN creo que ya está resuelto.
Era un problema de permisos, la solución es:

cd /var/local/svn
chown -R www-data:www-data gvsig-*

Por favor, probar si os funcionan los commits y todo es correcto

#9 - 12/15/2011 10:11 AM - José Badía
- Status changed from In progress to Closed
- % Done changed from 0 to 100

#10 - 12/15/2011 10:12 AM - Cesar Ordiñana

Acabo de probar un commit y ya ha funcionado.

Ale, ya tenemos nuevo repo! :-)
